petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMAdaptLabel

Adapt a dm based on a label with values interpreted as coarsening and refining flags. Specific implementations of DM maybe have specialized flags, but all implementations should accept flag values DM_ADAPT_DETERMINE, DM_ADAPT_KEEP, DM_ADAPT_REFINE, and DM_ADAPT_COARSEN.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMAdaptLabel(DM dm, DMLabel label, DM *dmAdapt)

Collective on dm

### Input parameters

| dm | - the pre-adaptation DM object
| label | - label with the flags

### Output parameters

dmAdapt -the adapted DM object: may be NULL if an adapted DM could not be produced.

### See Also

DMAdaptMetric(), DMCoarsen(), DMRefine()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html

### Implementations

DMAdaptLabel_Forest in src/dm/impls/forest/forest.c
DMAdaptLabel_Plex in src/dm/impls/plex/plexadapt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages